%define anolis_release 5

Name:           perl-Term-Cap
Version:        1.17
Release:        %{anolis_release}%{?dist}
Summary:        Perl termcap interface
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Term-Cap
Source0:        https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/Term-Cap-%{version}.tar.gz

BuildRequires:  coreutils findutils
BuildRequires:  gcc gcc-c++ make autoconf
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  ncurses perl(Carp) perl(strict) perl(vars) perl(Test::More)
Requires:       ncurses perl(Carp)

BuildArch:      noarch


%description
These are low-level functions to extract and use capabilities from a terminal capability (termcap) database.

%package doc
Summary:        Documentation files for perl-Term-Cap
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The perl-Term-Cap-doc package contains documentation files for perl-Term-Cap.


%prep
%autosetup -n Term-Cap-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test


%files
%{perl_vendorlib}/Term/Cap.pm
%{_mandir}/man3/*.zst
%license LICENSE

%files doc
%doc README Changes


%changelog
* Tue Apr 11 2023 chen_yu_ao <m15927509890@163.com> - 1.17-5
- change spec file format

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.17-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.17-3
- rebuild with perl 5.36.0

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.17-2
- add doc package

* Thu Mar 10 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.17-1
- Initial packageing for Anolis OS 23
